The path must be a curve which is constructed with several segments!
Posts
-
RE: [Plugin] follow me rotate
-
RE: [Plugin] SUTool 0.38 english version released
Sutool current version is 0.55.
English version is coming soon. -
RE: [Plugin] follow me rotate
@plot-paris said:
and I have a suggestion for a future update:
if you have a face with it's midpoint not at the starting point of the curve, the cuve will be moved to this centre point.
would it be possible to prevent this from happening, so that you can use a shape with an offset, that is twisted arround the path with a certain distance.Try to select one curve , one face and one construction point , then , using FAR. The construction point will be treated as the center of the face.
-
RE: [Plugin] follow me rotate
@daniel s said:
Now works..
thank you Wikii!!
Solo...
install the latest version, and under Plugins you will see "FollowAndRotate". Select first a curve and a face.Daniel S
-
RE: [Plugin] follow me rotate
Sorry , I modified two classes.
Please download again
Select welded edges as path and a face before using this script.
-
RE: [Plugin] follow me rotate
Select welded edges as path and a face before using this script.
-
RE: [Plugin] follow me rotate
@daniel s said:
Wikii
I get a error on the ruby console
I attach a image.Daniel S
Select welded edges as path and a face before using this script.
-
[Plugin] follow me rotate
It is still in developing, here is the current version.
[flash=600,338:1c4nqdq0]http://www.youtube.com/v/mVQ51i0G7AM[/flash:1c4nqdq0]
Get the latest version as an RBZ from the PluginStore:
http://sketchucation.com/pluginstore?pln=Far
Select welded edges as path and a face before using this script.
-
Problem of using FxRuby in Sketchup
Run following code in Sketchup , when I click the button "Quit", The promopte "Quit has been clicked!" can be printed,but the dialog does't disappear . It sames that method "exit" for application can't finish the program in Sketchup! But in Ruby 1.8 , it works well. Why?
require 'fox16' include Fox application = FXApp.new("Hello", "FoxTest") main = FXMainWindow.new(application, "Hello", nil, nil, DECOR_ALL) a_button=FXButton.new(main, "&Quit!", nil, application, FXApp;;ID_QUIT) a_button.connect(SEL_COMMAND){ p "Quit has been clicked!" application.exit } application.create() main.show(PLACEMENT_SCREEN) application.run()
-
RE: FxRuby and GUI's
Run following code in Sketchup , when I click the button "Quit", The promopte "Quit has been clicked!" can be printed,but dialog does't disappear . It sames that method "exit" for application can't finish the program in Sketchup! But in Ruby 1.8 , it works well. Why?
require 'fox16' include Fox application = FXApp.new("Hello", "FoxTest") main = FXMainWindow.new(application, "Hello", nil, nil, DECOR_ALL) a_button=FXButton.new(main, "&Quit!", nil, application, FXApp;;ID_QUIT) a_button.connect(SEL_COMMAND){ p "Quit has been clicked!" application.exit } application.create() main.show(PLACEMENT_SCREEN) application.run()
-
RE: [Plugin] Remove Inner Faces
module Wikii def Wikii.remove_inner_faces fs=[] Sketchup.active_model.selection.each{|x| if x.typename=="Face" to_be_delete=true x.outer_loop.edges.each{|y| if y.faces.length<=2 to_be_delete=nil break end } fs << x if to_be_delete end } Sketchup.active_model.start_operation "remove_inner_faces" fs.each{|x| x.erase!} puts fs.length.to_s+" faces removed !" Sketchup.active_model.commit_operation end end #Wikii.remove_inner_faces